<h1>Schedule ztu.edu.ua</h1>

<h3>Connect with me:</h3>

<a href="mailto:oleksandr.zwick@gmail.com" title="Email">
  <img alt="Email"
       src="https://cdn.icon-icons.com/icons2/72/PNG/32/email_14410.png"
  />
</a>
<a href="https://www.linkedin.com/in/oleksandr-tsvik/" title="LinkedIn">
  <img alt="LinkedIn"
       src="https://cdn.icon-icons.com/icons2/99/PNG/32/linkedin_socialnetwork_17441.png"
  />
</a>

<h2>What's Included</h2>

<ol>
  <li>Parsing the schedule from rozklad.ztu.edu.ua</li>
  <li>Parsing groups from rozklad.ztu.edu.ua</li>
  <li>Parsing selective subjects from google excel</li>
  <li>Parsing the schedule from cabinet.ztu.edu.ua</li>
  <li>Setting up displayed subjects</li>
  <li>Login and registration (access and refresh tokens)</li>
</ol>

<h2>Install dependencies for the client</h2>

```sh
cd client
npm install
```

<h2>Install dependencies for the server</h2>

```sh
cd server
npm install
```

<h2>Run server</h2>

```sh
cd server
npm run start:dev
```

<h2>Run client</h2>

```sh
cd client
npm start
```

<h2><i>References</i></h2>

<ul>
  <li><a href="https://docs.nestjs.com/">NestJS</a></li>
  <li><a href="https://typeorm.io/">TypeORM</a></li>
  <li><a href="https://github.com/typestack/class-validator#readme">class-validator</a></li>
  <li><a href="https://pptr.dev/">Puppeteer</a></li>
  <li><a href="https://stackoverflow.com/questions/46198527/puppeteer-log-inside-page-evaluate">Puppeteer log inside page.evaluate</a></li>
  <li><a href="https://github.com/vercel/ms">String describing a time span zeit/ms</a></li>
  <li><a href="https://chakra-ui.com/">Chakra UI</a></li>
  <li><a href="https://github.com/csandman/chakra-react-select#readme">chakra-react-select</a></li>
  <li><a href="https://chakra-templates.dev/">Chakra UI Templates</a></li>
  <li><a href="https://redux-toolkit.js.org/">Redux Toolkit</a></li>
  <li><a href="https://formik.org/">Formik</a></li>
  <li><a href="https://github.com/jquense/yup#yup">Yup</a></li>
  <li><a href="https://react-icons.github.io/react-icons">React Icons</a></li>

  <li>
    <a href="https://github.com/import-js/eslint-plugin-import/blob/main/docs/rules/order.md">
      <i>eslint-plugin-import (import/order)</i>
    </a>
  </li>
  <li>
    <a href="https://github.com/ahsan-chy/React-JS-Advance-Folder-Structure/tree/master">
      <i>React JS Advance-Level Folder Structure</i>
    </a>
  </li>
  <li><a href="https://editorconfig.org/"><i>EditorConfig</i></a></li>
  <li>
    <a href="https://gist.github.com/ChrisTollefson/a3af6d902a74a0afd1c2d79aadc9bb3f#file-1_markup-md">
        <i>GitHub Markdown Reference</i>
    </a>
  </li>
</ul>
